Subject: CCL:Re: James Stewart's article

From: "Rzepa, Henry" <[email-masked]>
Date: Sun, 22 Dec 1996 09:24:39 +0000

>> This copyrighted program is intended for users. It can be obtained
>> from the QCPE.  There is no license fee for academic users, the
>> license for commercial use is $2,000.
>
>The reason I never consider using the QCPE is that once I happened
>to look at a list of prices for obtaining the software. It might be
>that the hundreds of dollars these programs seem to cost is due only
>to distribution fees, but the simple fact is that I can't afford it.
>From my point of view, there is no QCPE. That's for rich folks.
>
>I understand that the QCPE could not afford itself if it did not
>charge these fees, but from where I sit the net effect is the same.

The above discussion about agencies such as  QCPE leads me
to speculate about where we might be going in the future. QCPE
represents a milestone in computational chemistry, since
for over 35 years it has represented an organised and maintained site
where users can obtain source code and documentation for
what  I will call program "packages". About 15 years ago,
we saw the start of the commercial chemistry software industry,
but again the model was the same, ie "shrink wrapped"
documented packages, although here the user often had to add their
own code via custom  APIs rather than source code hacks.

For perhaps 5-7 years, the  bio-informatics sector has run a
different model of having many distribution centers based on
the infra-structure of the Internet, and has not developed
the same sort of commercial models, tending to rely much more
on essentially free software (RasMol is an excellent example).

Now,  I sense that the chemistry sector has the opportunity to
move into stage 3 of this evolutionary process, which could be
summed up by the description "chemistry objects". Whilst
object oriented chemistry programming has been seen in
many incarnations, the most recent advent of technologies such
as  Java and most importantly  CORBA (common object
request brokering architectures) and its Internet implementation
suggests that this time it should succeed.

I might add that most of the major chemistry software developers
seem to be adopting the principle of chemical objects, although
its is by no means clear that any of them will end up defining the
SAME objects!  For example, there are about 15-20 molecule
rendering "applets" written in Java, and yet there is no
common object architecture between them at present.

Which brings me to what role a "QCPE" might have in
this new era. It might have to be a more pro-active one,
in maintaining the chemical object namespace to go
with CORBA (think of CORBA as an object equivalent
of the DNS: domain name servers which we all rely on so
much on the  Internet). It may also be much less of a
"shrink-wrapping" agency and perhaps more of an API
(application programming interface) organiser. Our
own fledgling effort to start things up in this area
is the OMF (http://www.ch.ic.ac.uk/omf/) but others
are also travelling down this road. Lets hope we are
all heading in more or less the same direction!

Henry Rzepa. +44 171 594 5774 (Office) +44 594 5804 (Fax)

>From [email-masked] Sun Dec 22 13:52 EST 1996
From: Jan Labanowski <[email-masked]>
Subject: Merry Holidays to all of you
To: [email-masked] (Jan Labanowski)
Date: Sun, 22 Dec 1996 13:52:16 -0500

My warmest holiday wishes to all of you... Even if for some of you
the pine tree is not the symbol of this holiday season (and I am obviously
late in some cases...), please accept my best greatings for the coming year
and new hopes which it brings... Enjoy... Holidays are not for ever {:-)}
but let us keep the hope alive forever, since hope is what makes us do good
things...

                                     +
                                    XXX
                                   XXXXX
                                  XXXXXXX
                                 XXXXXXXXX
                               "BOAS FESTAS"
                               "JOYEUX  NOEL"
                              "VESELE VANOCE"
                             "MELE KALIKIMAKA"
                            "NODLAG SONA DHUIT"
                           "BLWYDDYN NEWYDD DDA"
                                 "GOD  JUL"
                                "BUON  ANNO"
                               "FELIZ  NATAL"
                              "FELIZ NAVIDAD"
                             "MERRY CHRISTMAS"
                            "KALA CHRISTOUGENA"
                           "VROLIJK  KERSTFEEST"
                          "FROHLICHE WEIHNACHTEN"
                         "BUON  NATALE-GODT NYTAR"
                        "HUAN YING SHENG TAN CHIEH"
                       "WESOLYCH SWIAT-SRETAN BOZIC"
                      "MOADIM LESIMHA-LINKSMU KALEDU"
                     "HAUSKAA JOULUA-AID SAID MOUBARK"
                          "'N  PRETTIG  KERSTMIS"
                         "ONNELLISTA UUTTA VUOTTA"
                        "Z ROZHDESTYOM  KHRYSTOVYM"
                       "NADOLIG LLAWEN-GOTT NYTTSAR"
                      "FELIC NADAL-GOJAN KRISTNASKON"
                     "S  NOVYM  GODOM-FELIZ ANO NUEVO"
                    "GLEDILEG JOL-NOELINIZ KUTLU OLSUM"
                   "EEN GELUKKIG NIEUWJAAR-SRETAN BOSIC"
                  "KRIHSTLINDJA GEZUAR-KALA CHRISTOUGENA"
                 "SELAMAT HARI NATAL - LAHNINGU NAJU METU"
                      "SARBATORI FERICITE-BUON  ANNO"
                     "ZORIONEKO GABON-HRISTOS SE RODI"
                    "BOLDOG KARACSONNY-VESELE  VIANOCE "
                   "MERRY CHRISTMAS  - -  HAPPY NEW YEAR"
                  "ROOMSAID JOULU PUHI -KUNG HO SHENG TEN"
                 "FELICES PASUAS-EIN GLUCKICHES    NEUJAHR"
                "PRIECIGUS ZIEMAN SVETKUS  SARBATORI VESLLE"
               "BONNE ANNEBLWYDDYN NEWYDD DDADRFELIZ    NATAL"
                                   XXXXXX
                                   XXXXXX
                                   XXXXXX

Jan Labanowski and staff of CCL
[email-masked]